kadm5_get_principals
kadm5_modify_principal
KADM5 Functions
PHP Manual

# kadm5_init_with_password

(PECL kadm5 >= 0.2.3)

kadm5_init_with_password — Opens a connection to the KADM5 library

### Description

resource kadm5_init_with_password ( string `$admin_server` , string `$realm` , string `$principal` , string `$password` )

Opens a connection with the KADM5 library using the `principal` and the given `password` to obtain initial credentials from the `admin_server`.

### Parameters

`admin_server`

  The server.

`realm`

  Defines the authentication domain for the connection.

`principal`

  The principal.

`password`

  If `password` is omitted or is `NULL`, a random key will be generated.

### Return Values

Returns a KADM5 handle on success or `FALSE` on failure.

### Examples

Example #1 KADM5 initialization example

`<?php
$handle = kadm5_init_with_password("afs-1", "GONICUS.LOCAL", "admin/admin", "password");
$attributes = KRB5_KDB_REQUIRES_PRE_AUTH | KRB5_KDB_DISALLOW_PROXIABLE;
$options = array(KADM5_PRINC_EXPIRE_TIME => 0,
KADM5_POLICY => "default",
KADM5_ATTRIBUTES => $attributes);
kadm5_create_principal($handle, "burbach@GONICUS.LOCAL", "password", $options);
kadm5_destroy($handle);
?>`

### Notes

> Note:

> Connection should be closed after use with kadm5_destroy().

### See Also

- kadm5_destroy() - Closes the connection to the admin server and releases all related resources

kadm5_get_principals
kadm5_modify_principal
KADM5 Functions
PHP Manual